Package org.multiverse.api.exceptions

## Class RetryTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.multiverse.api.exceptions.TxnExecutionException
        - - org.multiverse.api.exceptions.RetryException
          - - org.multiverse.api.exceptions.RetryTimeoutException

- All Implemented Interfaces:
    `Serializable`

      public class RetryTimeoutException
      extends RetryException

  A `RetryException` thrown when a transaction times out while it blocks on a retry (so waits for an update).

  On a transaction the maximum timeout can be set. When it is set to a bound value (so smaller than Long.MAX_VALUE) all retries that need to block the transaction (so wait till some write happened) will decrement the remaining timeout. When the transaction eventually times out, this Exception is thrown.

  For more information see:

  1. the remaining timeout: `Txn.getRemainingTimeoutNs()`
  2. reading the configured timeout: `TxnConfig.getTimeoutNs()`.
  3. configuring the timeout: `TxnFactoryBuilder.setTimeoutNs(long)`
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RetryTimeoutException​(String message)` | Creates a new RetryTimeoutException.
    `RetryTimeoutException​(String message, Throwable cause)` | Creates a new RetryTimeoutException.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RetryTimeoutException

          public RetryTimeoutException​(String message)

      Creates a new RetryTimeoutException.
      Parameters:
        `message` - the message of the exception.

    - #### RetryTimeoutException

          public RetryTimeoutException​(String message,
                                       Throwable cause)

      Creates a new RetryTimeoutException.
      Parameters:
        `message` - the message of the exception.
        `cause` - the cause of the exception